Wow, getting vscode to use the right JDK seems impossible 🤦‍♀️ "You are using java 11" it says in the same error window that says my $java_home is set to 17. No idea why it mentions the environment variable if it doesn't affect anything. I'll try it on a clean VM but if that doesn't work then I'll try a dedicated Java IDE or something. I hate getting set up, I just want to write code. . .

Follow

IntelliJ IDE actually uses the Java version I ask it to. I have no idea what's wrong with VScode. It devoutly refuses to use anything other than Java 11 for some unearthly reason

Sign in to participate in the conversation
tassaron dot com

This is Brianna's federated microblog homepage! To follow my posts, find another Mastodon instance and join the fediverse.